# $Revision: 1.6 $, $Date: 2004/12/05 15:52:30 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	DNS-Codes
Summary:	Net::DNS::Codes - collection of C library DNS codes
Summary(pl):	Net::DNS::Codes - kolekcja kodw DNS
Name:		perl-Net-DNS-Codes
Version:	0.08
Release:	2
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	aeeb7c8afaa81b93e8c4c05b74d78155
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::DNS::Codes provides forward and reverse lookup for most
common C library DNS codes as well as all the codes for the DNS 
HEADER field.

%description -l pl
Net::DNS::Codes dostarcza wyszukiwanie zwyke i odwrotne dla
wikszoci popularnych kodw DNS biblioteki C, a take kody dla pola
HEADER DNS.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Net/DNS/Codes.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-DNS-Codes.spec,v $
Revision 1.6  2004/12/05 15:52:30  radek
- release 2: rebuild; WTF, rel 1 disappeared from FTP?

Revision 1.5  2004/11/03 22:30:35  paladine
- formatting

Revision 1.4  2004/11/03 13:00:26  paladine
- spaces->tabs

Revision 1.3  2004/06/06 14:46:29  qboosh
- pl desc

Revision 1.2  2004/06/06 10:21:23  adamg
- License fix

Revision 1.1  2004/06/06 09:57:00  adamg
- new
